summaryrefslogtreecommitdiffstats
path: root/abs/core/runit-scripts/fbsplash-runit.sh
diff options
context:
space:
mode:
authorBritney Fransen <brfransen@gmail.com>2013-12-26 20:13:40 (GMT)
committerBritney Fransen <brfransen@gmail.com>2013-12-26 20:13:40 (GMT)
commitaf515b99f692bcf1f0af57aabe8f7c1a950b32c5 (patch)
treed2cbd0bd7a159adac8ebc749e6c76d005ad4a42e /abs/core/runit-scripts/fbsplash-runit.sh
parent45f667c9512475b4cb5c5290557dea854d056634 (diff)
parent816f6f419c662354f4224f8d82387fc27693b0fb (diff)
downloadlinhes_pkgbuild-af515b99f692bcf1f0af57aabe8f7c1a950b32c5.zip
linhes_pkgbuild-af515b99f692bcf1f0af57aabe8f7c1a950b32c5.tar.gz
linhes_pkgbuild-af515b99f692bcf1f0af57aabe8f7c1a950b32c5.tar.bz2
Merge branch 'testing'
Diffstat (limited to 'abs/core/runit-scripts/fbsplash-runit.sh')
-rw-r--r--[-rwxr-xr-x]abs/core/runit-scripts/fbsplash-runit.sh46
1 files changed, 23 insertions, 23 deletions
diff --git a/abs/core/runit-scripts/fbsplash-runit.sh b/abs/core/runit-scripts/fbsplash-runit.sh
index 87435ee..9fb9591 100755..100644
--- a/abs/core/runit-scripts/fbsplash-runit.sh
+++ b/abs/core/runit-scripts/fbsplash-runit.sh
@@ -5,33 +5,33 @@ printhlr() {
}
stat_runit(){
- printf ""
- printhlr "${C_MAIN}${1}${C_CLEAR} "
+ printf ""
+ printhlr "${C_MAIN}${1}${C_CLEAR} "
}
# splash stuff #
if [ -e /etc/conf.d/fbcondecor ]
then
- . /etc/conf.d/fbcondecor
- . /sbin/splash-functions.sh
-
- case $0 in /etc/runit/1 )
- # Prevent splash destruction
- CONSOLEFONT=""
- # Continue to use a splash daemon started in initcpio
- if /bin/mountpoint -q /run/.splash-cache; then
- /bin/mount --move /run/.splash-cache $spl_cachedir || return
- # Mount a tmpfs
- else
- ( splash_cache_prep ) || return
- fi
-
- splash_comm_send set message "$SPLASH_BOOT_MESSAGE"
-
- ;; /etc/runit/3 )
- ( splash_cache_prep ) || return
-
- splash_comm_send set message "$SPLASH_SHUTDOWN_MESSAGE"
- esac
+ . /etc/conf.d/fbcondecor
+ . /sbin/splash-functions.sh
+
+ case $0 in /etc/runit/1 )
+ # Prevent splash destruction
+ CONSOLEFONT=""
+ # Continue to use a splash daemon started in initcpio
+ if /bin/mountpoint -q /run/.splash-cache; then
+ /bin/mount --move /run/.splash-cache $spl_cachedir || return
+ # Mount a tmpfs
+ else
+ ( splash_cache_prep ) || return
+ fi
+
+ splash_comm_send set message "$SPLASH_BOOT_MESSAGE"
+
+ ;; /etc/runit/3 )
+ ( splash_cache_prep ) || return
+
+ splash_comm_send set message "$SPLASH_SHUTDOWN_MESSAGE"
+ esac
fi